Subject: bug#44556: 27.1; Ido deletes file without configuration with C-x C-v C-k

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 11 Nov 2020 11:12:28 +0100

Christopher Sean Morrison <[email-masked]> writes:

> Ido is not prompting for file delete confirmation during C-k.
>
> Upon installing Graphene (require 'graphene) which enables Ido
> everywhere, I found myself accidentally deleting files when attempting
> to switch to other files via C-x C-v and being accustomed to running C-k
> to cut the current file name from the minibuffer line and type a new
> file name.  For example, touch file1 file2; emacs file1; C-x C-v C-k
> file2 [enter].

Can you give a recipe for reproducing this bug, starting from
"emacs -Q"?  I do not have Graphene installed (which seems to be a package
from Melpa), so a recipe for reproducing the bug without installing that
package would be nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no